.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* Page de listing des produits */
.gridview {
  display: flex;
  flex-wrap: wrap;
}

.gridelem {
  flex-grow: 0;
  flex-shrink: 0;
  padding: 20px;
  flex-basis: calc(25% - 20px);
}

/* Page de connection et d'inscription*/
.connectpage {
  width: 700px;
  margin: 150px auto;
  display: flex;
  flex-direction: column;
  padding: 10px
}
.connectpage h1 {
  font-size: 32px;
  text-align: center;
  text-decoration: underline overline #797979;
  padding-bottom: 40px;
}

/* Page de détail d'un produit*/
.product-detail {
  width: 70%;
  margin-left: 15%;
  margin-right: 15%;
}
.product-img{
  text-align: center;
}

/* Page de parametre des produits*/
.products-param{
  width: 80%;
  margin-left: 10%;
  margin-right: 10%;
}

.products-param table{border-collapse: collapse;
  width: 100%;
}

.products-param th,
.products-param td {
  text-align: left;
  padding: 16px;
}

.products-param tr:nth-child(even) {
  background-color: #f2f2f2;
}

.products-param h1{
  text-align: center;
}

/* Page de parametre des utilisateurs*/
.user_param{
  width: 80%;
  margin-left: 10%;
  margin-right: 10%;
}

.user_param table{border-collapse: collapse;
  width: 100%;
}

.user_param th,
.user_param td {
  text-align: left;
  padding: 16px;
}

.user_param tr:nth-child(even) {
  background-color: #f2f2f2;
}

.user_param h1{
  text-align: center;
}

/* Page de parametre des commandes*/
.order_details{
  width: 80%;
  margin-left: 10%;
  margin-right: 10%;
}

.order_details table{border-collapse: collapse;
  width: 100%;
}

.order_details th,
.order_details td {
  text-align: left;
  padding: 16px;
}

.order_details tr:nth-child(even) {
  background-color: #f2f2f2;
}

.order_details h1{
  text-align: center;
}


/* Page du panier*/
.cart{
  width: 80%;
  margin-left: 10%;
  margin-right: 10%;
}

.buttondevidage{
  margin-bottom: 100px;
}